# /etc/adduser.conf: 'adduser' configuration.
# See adduser(8) and adduser.conf(5) for full documentation.

# The login shell to be used for all new users.
DSHELL=/usr/bin/bash

# The directory in which new home directories should be created.
DHOME=/home

# The directory from which skeletal user configuration files
# will be copied.
SKEL=/etc/skel

# Specify inclusive ranges of UIDs and GIDs from which UIDs and GIDs
# for system users, system groups, non-system users and non-system groups
# can be dynamically allocated.
FIRST_SYSTEM_UID=0
LAST_SYSTEM_UID=999

FIRST_SYSTEM_GID=0
LAST_SYSTEM_GID=999

FIRST_UID=1000
LAST_UID=65534

FIRST_GID=1000
LAST_GID=65534

# Specify whether each created non-system user will be
# given their own group to use.
USERGROUPS=yes

# Defines the groupname or GID of the group all newly-created
# non-system users are placed into.
# It is a configuration error to define both variables
# even if the values are consistent.
USERS_GROUP=users

# The permissions mode for home directories of non-system users.
DIR_MODE=0700

# The permissions mode for home directories of system users.
SYS_DIR_MODE=0755

# If set to a nonempty value, new users will have quotas copied
# from that user with 'edquota -p QUOTAUSER newuser'
QUOTAUSER=""

# Non-system user- and groupnames are checked against this regular
# expression.
NAME_REGEX="^[a-z][-a-z0-9_]*\$?$"

# System user- and groupnames are checked against this regular
# expression.
SYS_NAME_REGEX="^[a-z_][-a-z0-9_]*\$?$"

# When populating the newly created home directory of a non-system user,
# files in SKEL matching this regex are not copied.
SKEL_IGNORE_REGEX="\.(dpkg|ucf)-(old|new|dist|save)$"

# List of groups that new non-system users will be added to
# if ADD_EXTRA_GROUPS is non-zero or set on the command line.
EXTRA_GROUPS=""

# Setting this to something other than 0 will cause adduser to add
# newly created non-system users to the list of groups defined by
# EXTRA_GROUPS.
ADD_EXTRA_GROUPS=0
